URL structure
{userId} is the ID of a Covata user.
Supported methods and overview
PUT- used to unlock a Covata user’s account, based on the user’s ID.
This method takes no parameters.
Detailed description
This API endpoint unlocks a Covata user’s account, based on the Covata user’s ID. A Covata user’s account can be come locked if the user of this account had entered their password incorrectly more than the Covata Platform’s configured maximum (which can be set through the <access-service>/api/v1/config/server/{configId} API endpoint).Supported roles
This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator’s Guide):- System administrator
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
